$PackageName = 'alacritty.portable'
$Url64 = 'https://github.com/alacritty/alacritty/releases/download/v0.4.3/Alacritty-v0.4.3-windows-portable.zip'
$Checksum64 = '49d6d4b2d91a2ede9c4738f50f3be76a74c217de9ee76e7d11031bab469fc05c4edaecb693cd54c1587028d377ec82826bdbbf271c68c6a271a4d258c46e574c'
$ChecksumType64 = 'sha512'
$ToolsPath = Split-Path -Parent $MyInvocation.MyCommand.Definition
$InstallDir = Join-Path $(Get-ToolsLocation) "alacritty"

$desktop = [System.Environment]::GetFolderPath("Desktop")

$PackageArgs = @{
	PackageName = $PackageName
	Url64 = $Url64
	Checksum64 = $Checksum64
	ChecksumType64 = $ChecksumType64
	UnzipLocation = $InstallDir
}
Install-ChocolateyZipPackage @PackageArgs

Install-BinFile alacritty -path "$InstallDir\alacritty.exe" -UseStart
Install-ChocolateyShortcut -ShortcutFilePath "$desktop\Alacritty.lnk" -TargetPath "$InstallDir\alacritty.exe" -WorkingDirectory "$InstallDir" -WindowStyle 1
